$block: cases;
$case: case;

.#{$block} {
	background: $white;

	&__wrap {
		padding-top: 100px;
		padding-bottom: 75px;
	}

	&__header {
		position: relative;
		margin-bottom: 20px;
		max-width: 320px;
		font-family: $font-family-head;

		&--label {
			width: 70px;
			font-weight: 700;
			line-height: 120%;
			text-align: right;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			padding-left: 70px;
			font-size: font-size-rel(22px);
		}

		&--link {
			display: none;
		}
	}


	&__content {
		margin-bottom: 80px;
	}

	&__view {
		z-index: 50;
		position: relative;
		display: inline-block;
	}

	&__nav {
		margin-bottom: 40px;
	}

	@media (min-width: $screen-xs-min) {

		&__header {
			margin-bottom: 40px;

			&--all {
				max-width: 400px;
			}
		}

		&__content {
			margin-bottom: 0;
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
		}

		&__view {



			&:before {
				width: 160px;
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
			padding-top: 140px;
			padding-bottom: 120px;
		}

		&__header {
			max-width: 500px;
			margin-bottom: 80px;

			&--label {
				width: 160px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 160px;
				font-size: font-size-rel(30px);
			}

			&--all {
				max-width: 600px;
			}
		}

		&__view {
			padding-left: 160px;
		}

		&__nav {
	//		margin-left: 160px;
			margin-bottom: 60px;

			.swiper-container {
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__header {
			max-width: 600px;

			&--label {

			}

			&--title {
				font-size: font-size-rel(40px);
			}

			&--all {
				max-width: 680px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {

			&--link {
				top: 62px;
				left: 715px;
				position: absolute;
				display: inline-block;
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
			padding-top: 204px;
			padding-bottom: 150px;
		}

		&__header {
			max-width: 720px;
			margin-bottom: 120px;

			&--title {
				font-size: font-size-rel(50px);
			}


			&--all {
				max-width: 800px;
			}

			&--link {
				top: 72px;
				left: 773px;
			}
		}

		&__view {

			&--top {
				padding: 0;
				top: 80px;
				left: 800px;
				position: absolute;
			}
		}

		&__nav {
			padding-left: 160px;
		}
	}
}

.#{$case} {
	color: $black;
	display: block;
	text-decoration: none;
	position: relative;
	margin-bottom: 40px;

	&:hover {
		color: $black;
		text-decoration: none;
	}

	&__media {
		font-size: 0;
		line-height: 0;

		&--image {

		}
	}

	&__content {
		padding-top: 20px;
		line-height: 130%;
		font-size: font-size-rel(14px);

		&--title {
			font-weight: 700;
			font-family: $font-family-head;
			font-size: font-size-rel(16px);
		}

		&--text {
			padding-left: 70px;
		}
	}

	&--2 {

		.#{$case} {

			&__media {
				position: relative;
				background: #d92531;

				&:before {
					bottom: -125px;
					left: 100px;
					content: '';
					width: 322px;
					height: 237px;
					display: none;
					position: absolute;
					background: url("../img/case__pattern.svg") 50% 50% no-repeat;
				}

				&--image {
					width: 152px;
					margin: 0 auto;
				}
			}
		}
	}

	&--3 {

		.#{$case} {

			&__media {

				&--image {
					height: 210px;
					background-size: cover;
					background-position: 50% 50%;
					background-repeat: no-repeat;
				}
			}
		}
	}

	&--4 {

		.#{$case} {

			&__media {

				&--image {
					height: 210px;
					background-size: cover;
					background-position: 50% 50%;
					background-repeat: no-repeat;
				}
			}
		}
	}

	&--5 {

		.#{$case} {

			&__media {

				&--image {
					height: 210px;
					background-size: cover;
					background-position: 50% 50%;
					background-repeat: no-repeat;
				}
			}
		}
	}

	&--6 {

		.#{$case} {

			&__media {
				background: $red;
				height: 210px;
				position: relative;

				&--image {
					top: 23px;
					left: 63px;
					width: 280px;
					position: absolute;
				}
			}
		}
	}

	@media (min-width: $screen-xs-min) {
		width: calc(50% - 15px);

		&--2 {
			display: flex;
			flex-direction: column;

			.#{$case} {

				&__media {
					order: 2;
				}

				&__content {
					order: 1;
					padding: 0 0 20px 0;
				}
			}
		}

		&--4 {
			display: flex;
			flex-direction: column;


			.#{$case} {

				&__media {
					order: 2;
				}

				&__content {
					order: 1;
					padding: 0 0 20px 0;
				}
			}
		}
	}

	@media (min-width: $screen-sm-min) {
		margin-bottom: 80px;

		&__content {
			display: flex;
			padding-top: 40px;
			font-size: font-size-rel(16px);

			&--title {
				font-size: font-size-rel(18px);
			}

			&--text {
				white-space: nowrap;
				padding: 30px 0 0 0;
			}
		}

		&--1 {

			.#{$case} {

				&__content {
					padding-left: 10px;

					&--title {
						order: 2;
					}

					&--text {
						order: 1;
						text-align: right;
					}
				}
			}
		}

		&--2 {
			padding-top: 50px;

			.#{$case} {

				&__media {
					order: 2;
					background: transparent;

					&--image {
						width: 200px;
						margin: 0 0 0 10px;
					}
				}

				&__content {
					order: 1;
					padding: 0 0 36px 0;
					align-items: flex-end;

					&--title {
						text-align: right;
					}

					&--text {
						padding: 0 0 50px 0;
					}
				}
			}
		}

		&--3 {
			margin-top: -30px;


			.#{$case} {

				&__media {

					&--image {
						width: 200px;
						height: 300px;
						background-size: cover;
						background-position: 50% 50%;
						background-repeat: no-repeat;
					}
				}
			}
		}

		&--4 {
			padding-top: 50px;

			.#{$case} {

				&__media {

					&--image {
						height: 350px;
						background-size: cover;
						background-position: 50% 50%;
						background-repeat: no-repeat;
					}
				}

				&__content {
					padding-bottom: 36px;

					margin-left: -140px;
					align-items: flex-end;

					&--text {
						order: 1;
						width: 140px;
						text-align: right;
						padding: 0 0 40px 0;
					}

					&--title {
						order: 2;
						width: 100px;
					}
				}
			}
		}

		&--5 {
			margin-bottom: 0;
			margin-top: -100px;

			.#{$case} {

				&__media {

					&--image {
						width: 200px;
						height: 300px;
						margin-left: 140px;
						background-size: cover;
						background-position: 50% 50%;
						background-repeat: no-repeat;
					}
				}

				&__content {

					&--title {
						order: 2;
					}

					&--text {
						order: 1;
						width: 140px;
						text-align: right;
					}
				}
			}
		}

		&--6 {
			margin-bottom: 0;
			padding-top: 30px;

			.#{$case} {

				&__media {
					width: 200px;
					height: 240px;
				}

				&__content {
					justify-content: flex-end;

					&--text {
						width: 140px;
					}
				}
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&--2 {
			padding-top: 50px;

			.#{$case} {

				&__media {
					order: 2;
					background: transparent;
					display: flex;
					justify-content: flex-end;

					&:before {
						right: 0;
						left: auto;
					}

					&--image {
						width: 320px;
						margin-right: 140px;
					}
				}

				&__content {
					justify-content: flex-end;

					&--title {
						width: 150px;
					}

					&--text {
						width: 140px;
					}
				}
			}
		}

		&--3 {

			.#{$case} {

				&__media {

					&:before {
						display: block;
					}

					&--image {
						width: 320px;
						height: 400px;
					}
				}
			}
		}

		&--4 {

			.#{$case} {

				&__media {

					&--image {
						height: 450px;
					}
				}
			}
		}

		&--5 {

			.#{$case} {

				&__media {

					&--image {
						width: 320px;
						height: 400px;
						margin-left: 140px;
						background-size: cover;
						background-position: 50% 50%;
						background-repeat: no-repeat;
					}
				}

				&__content {

					&--title {
						order: 2;
					}

					&--text {
						order: 1;
						width: 140px;
						text-align: right;
					}
				}
			}
		}

		&--6 {
			margin-bottom: 0;
			padding-top: 80px;

			.#{$case} {

				&__media {
					width: 400px;
					height: 440px;

					&--image {
						top: 46px;
						left: 150px;
						width: 481px;
					}
				}

				&__content {
					justify-content: flex-start;

					&--title {
						text-align: right;
						width: 400px;
					}

					&--text {
						width: 140px;
					}
				}
			}
		}
	}

	@media (min-width: $screen-xl-min) {
		margin-bottom: 120px;

		&--3 {
			margin-top: 0;

			.#{$case} {

				&__media {

					&--image {
						width: 320px;
						height: 400px;
					}
				}

				&__content {
					margin-right: -16px;

					&--title {
						width: 320px;
						text-align: right;
					}

					&--text {
						width: 160px;
					}
				}
			}
		}

		&--4 {

			.#{$case} {

				&__media {

					&--image {
						height: 570px;
					}
				}
			}
		}

		&--5 {
			margin-bottom: 0;
			margin-top: -180px;
		}

		&--6 {
			margin-bottom: 0;
		}
	}
}